# Type alias VonageEvent

VonageEvent: Omit<vonage.CombinedEvents, "conversationEvent" | "callHangup" | "callMediaDisconnect" | "legStatusUpdate" | "rtcStatsUpdate" | "callInvite" | "callInviteCancel"> & {
callHangup: ((callId, callQuality, reason) => void);
callInvite: ((callId, from, channelType) => void);
callInviteCancel: ((callId, reason) => void);
callMediaDisconnect: ((callId, reason) => void);
conversationEvent: ((event) => void);
legStatusUpdate: ((callId, legId, legStatus) => void);
rtcStatsUpdate: ((stats, callId) => void);
}

Vonage Events that can be listened to via the `on` method

#### Type declaration

- ##### callHangup: ((callId, callQuality, reason) => void)

  - - (callId, callQuality, reason): void

    - #### Parameters

      - ##### callId: string

      - ##### callQuality: RTCQuality

      - ##### reason: HangupReason

      #### Returns void

- ##### callInvite: ((callId, from, channelType) => void)

  - - (callId, from, channelType): void

    - #### Parameters

      - ##### callId: string

      - ##### from: string

      - ##### channelType: VoiceChannelType

      #### Returns void

- ##### callInviteCancel: ((callId, reason) => void)

  - - (callId, reason): void

    - #### Parameters

      - ##### callId: string

      - ##### reason: CancelReason

      #### Returns void

- ##### callMediaDisconnect: ((callId, reason) => void)

  - - (callId, reason): void

    - #### Parameters

      - ##### callId: string

      - ##### reason: CallDisconnectReason

      #### Returns void

- ##### conversationEvent: ((event) => void)

  - - (event): void

    - #### Parameters

      - ##### event: ConversationEvent

      #### Returns void

- ##### legStatusUpdate: ((callId, legId, legStatus) => void)

  - - (callId, legId, legStatus): void

    - #### Parameters

      - ##### callId: string

      - ##### legId: string

      - ##### legStatus: LegStatus

      #### Returns void

- ##### rtcStatsUpdate: ((stats, callId) => void)

  - - (stats, callId): void

    - #### Parameters

      - ##### stats: RtcStats

      - ##### callId: string

      #### Returns void